package main

import (
	"fmt"
	"gorm.io/driver/mysql"
	"gorm.io/gorm"
)

// 定义 User 模型
type User struct {
	gorm.Model
	Name  string
	Email string
}

func main() {

	user := User{Name: "John Doe", Email: "john.doe@example.com"}
	Created(&user)
	// 打印成功创建的消息
	fmt.Printf("User created with ID: %d\n", user.ID)

}

func Created(u *User) {
	dsn := "root:lxz664278@tcp(106.54.33.152:33369)/gorm?charset=utf8mb4&parseTime=True&loc=Local"
	db, err := gorm.Open(mysql.Open(dsn), &gorm.Config{})
	if err != nil {
		panic("failed to connect database")
	}

	// 创建记录
	result := db.Create(u)

	if result.Error != nil {
		fmt.Println("Error creating user:", result.Error)
		return
	}

	// 更新记录
	var t = &User{
		Model: gorm.Model{
			ID: u.ID,
		},
		Name:  "John Doe Updated",
		Email: "",
	}
	db.Updates(t)

	var user User
	re := db.Model(&User{}).First(&user, u.ID)
	if re.Error != nil {
		fmt.Println("Error getting user:", re.Error)
		return
	}
	fmt.Println("User:", user)
}
